#include <iostream>
using namespace std;
int main()
{
    long long  n, mas[200000]={0}, maxx, k;
    int b;
    cin>>n;
    k=0;
    b=0;
    maxx=(-1);
    for(int i=0;i<n;i++)
    {
        cin>>mas[i];
        if(i==0 || mas[i]>maxx)
        {
            maxx=mas[i];
        }
    }
    while(maxx!=0)
    {
          for(int i=0;i<n;i++)
        {
                  if(i==n-1)
           {
                     if(mas[i]==maxx)
                     {
                                     k++;
                                     mas[i]--;
                                     continue;
                     }
                     if(b==1)
                     {
                         k++;
                         continue;
                     }
                      
                     continue;
           }
           if(mas[i]==maxx && b==1  )
           {

               mas[i]--;
             
              continue;

           }
           if(mas[i]==maxx && b==0)
           {
               mas[i]--;
               b=1;
               continue;
           }
           if((mas[i]>maxx || mas[i]<maxx )&& b==1)
           {
               k++;
               b=0;
               continue;
           }

        }
        b=0;
        maxx--;
    }
    cout<<k;
   return 0;
}

